Skip to main content
GET
/
token-launch
/
claimable-positions
Get claimable positions
curl --request GET \
  --url https://public-api-v2.bags.fm/api/v1/token-launch/claimable-positions \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "response": [
    {
      "isCustomFeeVault": true,
      "baseMint": "<string>",
      "isMigrated": true,
      "totalClaimableLamportsUserShare": 123,
      "programId": "<string>",
      "quoteMint": "<string>",
      "virtualPool": "<string>",
      "virtualPoolAddress": "<string>",
      "virtualPoolClaimableAmount": 123,
      "virtualPoolClaimableLamportsUserShare": 123,
      "dammPoolClaimableAmount": 123,
      "dammPoolClaimableLamportsUserShare": 123,
      "dammPoolAddress": "<string>",
      "dammPositionInfo": {
        "position": "<string>",
        "pool": "<string>",
        "positionNftAccount": "<string>",
        "tokenAMint": "<string>",
        "tokenBMint": "<string>",
        "tokenAVault": "<string>",
        "tokenBVault": "<string>"
      },
      "claimableDisplayAmount": 123,
      "user": "<string>",
      "claimerIndex": 123,
      "userBps": 123,
      "customFeeVault": "<string>",
      "customFeeVaultClaimerA": "<string>",
      "customFeeVaultClaimerB": "<string>",
      "customFeeVaultClaimerSide": "A"
    }
  ]
}
Returns all claimable fee positions for a wallet. Use this to inspect position details and claimable amounts before claiming.
This endpoint is optional for claiming fees. The v3 claim endpoint handles position lookup automatically — you only need this if you want to inspect positions beforehand.

Authorizations

x-api-key
string
header
required

API key authentication. Provide your API key as the header value.

Query Parameters

wallet
string
required

Public key of the wallet to check for claimable positions

Response

Successfully retrieved claimable positions

success
boolean
required
Example:

true

response
object[]